Comment 8 for bug 1254034

Seth Arnold (seth-arnold) wrote :

Thanks for the patch, but it did not fix the permissions of an existing file upon upgrade.

I've attached a patch that fixes permissions of the file upon upgrade; please add this, or something very similar, to the postinst for the trusty packaging. I have added this stanza to the packaging for precise, quantal, and saucy releases. I believe we can remove it for the 14.10 release, probably MAAS users will jump from one LTS to the next.

Thanks